.
SynchroArts.com works best with JavaScript enabled

You need to use VocALign Pro version 4.0 with Pro Tools 6.9 or earlier. You can download this version from VocALign Pro 4.0